## ia32-libs 1.4ubuntu19

=== Makefile ===
#
# Copyright (c) 2000-2003 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = .
HAVE_BUILDDEFS = $(shell test -f $(TOPDIR)/include/builddefs && echo yes || echo no)

ifeq ($(HAVE_BUILDDEFS), yes)
include $(TOPDIR)/include/builddefs
endif

CONFIGURE = configure include/builddefs include/config.h
LSRCFILES = configure configure.in aclocal.m4 Makepkgs install-sh exports \
	README VERSION

LDIRT = config.log .dep config.status config.cache confdefs.h conftest* \
	Logs/* built .census install.* install-dev.* install-lib.* *.gz

SUBDIRS = include libmisc libacl getfacl setfacl chacl m4 man doc po \
	  test examples build debian

default: $(CONFIGURE)
ifeq ($(HAVE_BUILDDEFS), no)
	$(MAKE) -C . $@
else
	$(SUBDIRS_MAKERULE)
endif

ifeq ($(HAVE_BUILDDEFS), yes)
include $(BUILDRULES)
else
clean:	# if configure hasn't run, nothing to clean
endif

$(CONFIGURE):
	autoconf
	./configure \
		--prefix=/ \
		--exec-prefix=/ \
		--sbindir=/bin \
		--bindir=/usr/bin \
		--libdir=/lib \
		--libexecdir=/usr/lib \
		--includedir=/usr/include \
		--mandir=/usr/share/man \
		--datadir=/usr/share \
		$$LOCAL_CONFIGURE_OPTIONS
	touch .census

aclocal.m4::
	aclocal --acdir=$(TOPDIR)/m4 --output=$@

install: default
	$(SUBDIRS_MAKERULE)
	$(INSTALL) -m 755 -d $(PKG_DOC_DIR)
	$(INSTALL) -m 644 README $(PKG_DOC_DIR)

install-dev: default
	$(SUBDIRS_MAKERULE)

install-lib: default
	$(SUBDIRS_MAKERULE)

realclean distclean: clean
	rm -f $(LDIRT) $(CONFIGURE)
	rm -rf autom4te.cache Logs

=== debian/Makefile ===
#
# Copyright (c) 2000-2003 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

LIBPKG = lib$(PKG_NAME)1
LSRCFILES = changelog control copyright rules shlibs.$(LIBPKG)
DEV_DOC_DIR = $(PKG_DOC_DIR)/../$(LIBPKG)-dev
LIB_DOC_DIR = $(PKG_DOC_DIR)/../$(LIBPKG)

default:

include $(BUILDRULES)

install: default
ifeq ($(PKG_DISTRIBUTION), debian)
	$(INSTALL) -m 755 -d $(PKG_DOC_DIR)
	$(INSTALL) -m 644 changelog $(PKG_DOC_DIR)/changelog.Debian
endif

install-dev: default
ifeq ($(PKG_DISTRIBUTION), debian)
	$(INSTALL) -m 755 -d $(PKG_DOC_DIR)
	$(INSTALL) -m 755 -d $(DEV_DOC_DIR)
	$(INSTALL) -m 644 copyright $(DEV_DOC_DIR)
	$(INSTALL) -m 644 changelog $(DEV_DOC_DIR)/changelog.Debian
endif

install-lib: default
ifeq ($(PKG_DISTRIBUTION), debian)
	$(INSTALL) -m 755 -d $(PKG_DOC_DIR)
	$(INSTALL) -m 755 -d $(LIB_DOC_DIR)
	$(INSTALL) -m 644 copyright $(LIB_DOC_DIR)
	$(INSTALL) -m 644 changelog $(LIB_DOC_DIR)/changelog.Debian
endif

=== po/Makefile ===
#
# Copyright (c) 2001-2002 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

LINGUAS = de fr pl
LSRCFILES = $(LINGUAS:%=%.po) $(PKG_NAME).pot

XGETTEXTFILES =	$(TOPDIR)/chacl/chacl.c \
		$(TOPDIR)/setfacl/do_set.c \
		$(TOPDIR)/setfacl/setfacl.c \
		$(TOPDIR)/getfacl/getfacl.c \
		$(TOPDIR)/libacl/acl_error.c \
		$(TOPDIR)/libacl/perm_copy_fd.c \
		$(TOPDIR)/libacl/perm_copy_file.c

default: $(LINGUAS:%=%.mo)

include $(BUILDRULES)

install: default
	$(INSTALL_LINGUAS)

install-dev install-lib:

=== debian/changelog ===
ia32-libs (1.4ubuntu19) dapper; urgency=low

  * Guard the amd64 diversion removal in preinst so it works on ia64
  * Refresh sources and binaries to the latest versions from the archive.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 30 May 2006 01:14:03 +1000

ia32-libs (1.4ubuntu18) dapper; urgency=low

  * No, no.  Really fix the diversion removal, and really close #38879.
    (Thanks to Scott Dier for breaking his computer to discover this)

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 20 May 2006 06:31:04 +1000

ia32-libs (1.4ubuntu17) dapper; urgency=low

  * debian/ia32.preinst: Correctly remove the ldd.amd64 diversion.
    Closes: Malone #38879.
  * Freshen packages.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Apr 2006 11:24:00 +0000

ia32-libs (1.4ubuntu16) dapper; urgency=low

  * Freshen packages.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 30 Mar 2006 09:25:17 +0000

ia32-libs (1.4ubuntu15) dapper; urgency=low

  The ia64 "let's start the OOo fun and let the CD's overflow" build.

  * Add libstdc++6 on ia64.
  * New package lib32stdc++6 for ia64.
  * Make lib32gcc1 and lib32z1 installable.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 19 Mar 2006 13:58:58 +0000

ia32-libs (1.4ubuntu14) dapper; urgency=low

  * Freshen packages.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 12 Mar 2006 14:21:43 +0000

ia32-libs (1.4ubuntu13) dapper; urgency=low

  * Fix build failure on ia64. Ubuntu #23297.
  * Add libpopt0. Ubuntu #12813.

 -- Matthias Klose <doko@ubuntu.com>  Sat,  4 Mar 2006 14:18:46 +0000

ia32-libs (1.4ubuntu12) dapper; urgency=low

  * Stop building ia32-libs-dev on amd64.
  * Fix package name in ia32-libs-dev dependency. Ubuntu #33271.
  * Add libxp6. Ubuntu #25816.
  * Add libdrm2, libxxf86vm1. Ubuntu #23560.
  * Drop gtk2-engines-pixbuf, moving to ia32-libs-gtk.
  * Drop Gtk1 related libraries: gdk-imlib11, libglib1.2, libgtk1.2,
    libgtk1.2-common.

 -- Matthias Klose <doko@ubuntu.com>  Thu,  2 Mar 2006 14:52:27 +0000

ia32-libs (1.4ubuntu11) dapper; urgency=low

  * Replaces ia32-libs-gtk (<< 9). Ubuntu #33384.

 -- Matthias Klose <doko@ubuntu.com>  Thu,  2 Mar 2006 14:34:11 +0000

ia32-libs (1.4ubuntu10) dapper; urgency=low

  * Make the conflict on openoffice.org2-core versioned (<< 2.0.1oob680m5).

 -- Matthias Klose <doko@ubuntu.com>  Thu,  2 Mar 2006 03:05:14 +0000

ia32-libs (1.4ubuntu9) dapper; urgency=low

  * Add a conflict to openoffice.org2-core.
  * Drop db4.2 again.
  * Add libidn11 (moved from ia32-libs-openoffice.org/-kde).
  * Add libcairo2 libxrender1 libpng12-0 (moved from
    ia32-libs-openoffice.org/-gnome).
  * Replaces ia32-libs-openoffice.org (<< 4), ia32-libs-kde (<< 3).

 -- Matthias Klose <doko@ubuntu.com>  Wed,  1 Mar 2006 20:33:07 +0000

ia32-libs (1.4ubuntu8) dapper; urgency=low

  * Re-add db4.2, still needed by openoffice.org2.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 27 Feb 2006 13:17:19 +0000

ia32-libs (1.4ubuntu7) dapper; urgency=low

  * Freshen packages.
  * Remove db4.2, xlibs-data package.
  * Fix build failure (no more lib*.a files anymore on amd64.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 23 Feb 2006 19:12:40 +0000

ia32-libs (1.4ubuntu6) dapper; urgency=low

  * Freshen packages.
  * Do not include ncurses libs, found in the lib32ncurses packages.
  * Add db4.3 package.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 10 Jan 2006 15:36:45 +0100

ia32-libs (1.4ubuntu5) dapper; urgency=low

  * Freshen packages, replace gdk-imlib1 by gdk-imlib11.
  * Drop libc6 packages on amd64.
  * On amd64, (build-)depend on libc6-i386/libc6-dev-i386.

 -- Matthias Klose <doko@ubuntu.com>  Fri,  9 Dec 2005 18:25:54 +0000

=== debian/rules ===
#!/usr/bin/make -f

export DH_COMPAT=3

# Lowest version with fully ABI compatible libraries
SHLIB_VERSION=0.2

DEB_BUILD_ARCH=$(shell dpkg-architecture -qDEB_BUILD_ARCH)
OSVER=$(shell lsb_release -s -i)
ifeq (Debian,$(OSVER))
	ROOT=emul/ia32-linux
	SUFFIX=
else
	ROOT=
	SUFFIX=32
endif

ifeq (amd64,$(DEB_BUILD_ARCH))
	gencontrol_flags = -- \
		'-Vdep:ia32libs=libc6-i386' \
		'-Vdep:ia32devs=libstdc++6-4.0-dev, libc6-dev-i386'
endif

IA32_VERSION	= ia32.libs.$(shell dpkg-parsechangelog \
				| grep ^Version | awk '{print $$2}')
LIBSTDCXX_VERSION= $(shell dpkg -I pkgs/libstdc++6_*deb \
				| awk '/Version/ {print $$2; exit}')
LIBGCC_VERSION	= $(shell dpkg -I pkgs/libgcc1_*deb \
				| awk '/Version/ {print $$2; exit}')
ZLIB_VERSION	= $(shell dpkg -I pkgs/zlib1g_*deb \
				| awk '/Version/ {print $$2; exit}')

build:

clean:
	dh_testdir
	dh_testroot
	rm -rf DEBIAN
	rm -f debian/create-diversions debian/remove-diversions
	rm -f debian/ia32-libs-dev.preinst debian/ia32-libs-dev.postrm
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

# Extract all debs
	for i in `cd pkgs ; /bin/ls *.deb` ; do \
		PKGNAME=$$(echo $$i | sed 's,_.*,,'); \
		case "$$PKGNAME" in libgcc1|zlib1g|libstdc++6) continue; esac; \
		if [ "$$(uname -m)" = "x86_64" ]; then \
			case "$$PKGNAME" in libc6|libc6-dev|libncurses*) continue; esac; \
		fi; \
		echo "extracting $$PKGNAME ..."; \
		dpkg-deb -x pkgs/$$i debian/ia32-libs/ ; done

	if [ "$$(uname -m)" = "ia64" ]; then \
		dpkg-deb -x pkgs/libgcc1_*deb debian/lib32gcc1 ; \
		mkdir -p debian/lib32gcc1/$(ROOT)/lib$(SUFFIX) ; \
		mv debian/lib32gcc1/lib/* debian/lib32gcc1/$(ROOT)/lib$(SUFFIX) ; \
		mv debian/lib32gcc1/usr/share/doc/libgcc1 debian/lib32gcc1/usr/share/doc/lib32gcc1 ; \
		rm -rf debian/lib32gcc1/usr/share/lintian; \
		dpkg-deb -x pkgs/zlib1g_*deb debian/lib32z1 ; \
		mkdir -p debian/lib32z1/$(ROOT)/usr/lib$(SUFFIX) ; \
		mv debian/lib32z1/usr/lib/* debian/lib32z1/$(ROOT)/usr/lib$(SUFFIX) ; \
		mv debian/lib32z1/usr/share/doc/zlib1g debian/lib32z1/usr/share/doc/lib32z1 ; \
		dpkg-deb -x pkgs/libstdc++6_*deb debian/lib32stdc++6 ; \
		mkdir -p debian/lib32stdc++6/$(ROOT)/usr/lib$(SUFFIX) ; \
		mv debian/lib32stdc++6/usr/lib/* debian/lib32stdc++6/$(ROOT)/usr/lib$(SUFFIX) ; \
		mv debian/lib32stdc++6/usr/share/doc/libstdc++6 debian/lib32stdc++6/usr/share/doc/lib32stdc++6 ; \
	fi

	mkdir -p debian/ia32-libs/$(ROOT)
	mkdir -p debian/ia32-libs/$(ROOT)/usr
	mkdir -p debian/ia32-libs/$(ROOT)/usr/X11R6

	mv debian/ia32-libs/lib debian/ia32-libs/$(ROOT)/lib$(SUFFIX)
	mv debian/ia32-libs/usr/lib debian/ia32-libs/$(ROOT)/usr/lib$(SUFFIX)
	mv debian/ia32-libs/usr/X11R6/lib debian/ia32-libs/$(ROOT)/usr/X11R6/lib$(SUFFIX)

ifeq (Debian,$(OSVER))
	mkdir -p  debian/ia32-libs/$(ROOT)/bin
	mv debian/ia32-libs/bin/uname debian/ia32-libs/$(ROOT)/bin
	ln -s /$(ROOT)/usr/lib$(SUFFIX) debian/ia32-libs/usr/lib32
endif

	rm -r debian/ia32-libs/usr/include
	rm -r debian/ia32-libs/usr/X11R6
	rm -r debian/ia32-libs/usr/share
	rm -r debian/ia32-libs/usr/sbin
	-rm -r debian/ia32-libs/sys
	rm -r debian/ia32-libs/bin
	-rm -r debian/ia32-libs/sbin
	-rm -r debian/ia32-libs/etc
	-rm -r debian/ia32-libs/var
	-rm debian/ia32-libs/$(ROOT)/usr/lib$(SUFFIX)/pt_chown

ifeq (amd64,$(DEB_BUILD_ARCH))
	rm -rf debian/ia32-libs/usr/bin
endif
ifeq (ia64,$(DEB_BUILD_ARCH))
# Make ldd work for 32-bit and 64-bit binaries.
	[ -x debian/ia32-libs/usr/bin/ldd ]
	case $$(uname -m) in \
		x86_64) \
			rm -rf debian/ia32-libs/usr/bin ; \
		;; \
		ia64) \
			RTLDLIST="/lib/ld-linux-ia64.so.2 /lib/ld-linux.so.2" ;\
			sed < debian/ia32-libs/usr/bin/ldd "s%RTLDLIST=.*%RTLDLIST=\" $$RTLDLIST\"%" | sed 's%verify_out=`$${rtld} --verify "$$file"`%verify_out=`$${rtld} --verify "$$file" 2>\&1`%' > debian/ia32-libs/ldd ;\
		rm -rf debian/ia32-libs/usr/bin ; \
		mkdir -p debian/ia32-libs/usr/bin ; \
		mv debian/ia32-libs/ldd debian/ia32-libs/usr/bin/ ; \
		chmod u=rwx,go=rx debian/ia32-libs/usr/bin/ldd \
		;; \
		*) \
			echo "Unsupported architecture"; exit 1 \
		;; \
	esac ; \

	mkdir -p debian/ia32-libs/lib/
	ln -s /$(ROOT)/lib$(SUFFIX)/ld-linux.so.2 debian/ia32-libs/lib/ld-linux.so.2 
endif

# Add doc dir and lintian overrides
	mkdir -p debian/ia32-libs/usr/share/doc/ia32-libs
	mkdir -p debian/ia32-libs/usr/share/lintian/overrides
	cp debian/ia32-libs.overrides debian/ia32-libs/usr/share/lintian/overrides/ia32-libs
	mkdir -p debian/ia32-libs-dev/usr/share/lintian/overrides
	cp debian/ia32-libs-dev.overrides debian/ia32-libs-dev/usr/share/lintian/overrides/ia32-libs-dev

# Extract shlibs info from libc6
	mkdir debian/ia32-libs/DEBIAN
ifeq (ia64,$(DEB_BUILD_ARCH))
	dpkg -e pkgs/libc6_*deb
	sed "s/libc6 (.*)/ia32-libs (>= $(SHLIB_VERSION))/" < DEBIAN/shlibs >debian/ia32-libs/DEBIAN/shlibs
endif
	dpkg -e pkgs/libncurses5_*deb
	sed "s/libncurses5 (.*)/ia32-libs (>= $(SHLIB_VERSION))/" < DEBIAN/shlibs >>debian/ia32-libs/DEBIAN/shlibs

	# Fix symlinks.
	for link in $$(find debian/ia32-libs/$(ROOT) -type l); do		\
	  dest=$$(readlink $$link);					\
	  rm -f $$link;							\
	  ln -s $$(echo $$dest | sed -e 's,^/,$(ROOT)/,' -e 's,/lib/,/lib$(SUFFIX)/,') $$link;	\
	done

ifeq (ia64,$(DEB_BUILD_ARCH))
	# Fix up GROUP commands in linker scripts
	for lib in libc.so libpthread.so; do				\
	  cat debian/ia32-libs/$(ROOT)/usr/lib$(SUFFIX)/$$lib				\
	    | sed -e '/^GROUP/ { s, /, /$(ROOT)/,g ; s,/lib/,/lib$(SUFFIX)/,g }' > $$lib; \
	  mv -f $$lib debian/ia32-libs/$(ROOT)/usr/lib$(SUFFIX)/$$lib;		\
	done
endif

	echo -e "# packages used in the creation of ia32-libs\n" > \
		debian/ia32-libs/usr/share/doc/ia32-libs/Manifest
	(cd pkgs; /bin/ls *.deb) >> debian/ia32-libs/usr/share/doc/ia32-libs/Manifest

	# Separate out development files.
	mkdir -p debian/ia32-libs-dev/usr/share/doc
	ln -s ia32-libs debian/ia32-libs-dev/usr/share/doc/ia32-libs-dev

#	mv debian/ia32-libs/usr/include debian/ia32-libs-dev/usr/include
	mkdir -p debian/ia32-libs-dev/$(ROOT)/usr/lib$(SUFFIX)
	mv debian/ia32-libs/$(ROOT)/usr/lib$(SUFFIX)/*.so debian/ia32-libs-dev/$(ROOT)/usr/lib$(SUFFIX)
	mv debian/ia32-libs-dev/$(ROOT)/usr/lib$(SUFFIX)/libdb-*.so debian/ia32-libs/$(ROOT)/usr/lib$(SUFFIX)/
	-mv debian/ia32-libs/$(ROOT)/usr/lib$(SUFFIX)/*.a debian/ia32-libs-dev/$(ROOT)/usr/lib$(SUFFIX)
ifeq (ia64,$(DEB_BUILD_ARCH))
	mv debian/ia32-libs/$(ROOT)/usr/lib$(SUFFIX)/*.o debian/ia32-libs-dev/$(ROOT)/usr/lib$(SUFFIX)
endif

binary-indep:

binary-arch: build install
	dh_testdir -s
	dh_testroot -s 
	dh_installdocs -s
	dh_installexamples -s
	dh_installchangelogs -s
#	dh_link
#	dh_strip
	dh_compress -s
	dh_fixperms --exclude "*/ld-*" -s
#	dh_makeshlibs
	dh_installdeb -s
#	dh_shlibdeps
	dh_gencontrol -pia32-libs $(gencontrol_flags)
ifeq (ia64,$(DEB_BUILD_ARCH))
	dh_gencontrol -pia32-libs-dev $(gencontrol_flags)
	dh_gencontrol -plib32stdc++6 -- -v$(LIBSTDCXX_VERSION)+$(IA32_VERSION)
	dh_gencontrol -plib32gcc1 -- -v$(LIBGCC_VERSION)+$(IA32_VERSION)
	dh_gencontrol -plib32z1 -- -v$(ZLIB_VERSION)+$(IA32_VERSION)
endif
	dh_md5sums -s
	dh_builddeb -s

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## ia32-libs 1.4ubuntu20

=== m4/Makefile ===
#
# Copyright (c) 2003 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

LSRCFILES = \
	manual_format.m4 \
	package_attrdev.m4 \
	package_globals.m4 \
	package_utilies.m4 \
	visibility_hidden.m4

default: 

include $(BUILDRULES)

install install-dev install-lib: default

=== po/Makefile ===
#
# Copyright (c) 2001-2002 Silicon Graphics, Inc.  All Rights Reserved.
# 
# This program is free software; you can redistribute it and/or modify it
# under the terms of version 2 of the GNU General Public License as
# published by the Free Software Foundation.
# 
# This program is distributed in the hope that it would be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# 
# Further, this software is distributed without any warranty that it is
# free of the rightful claim of any third person regarding infringement
# or the like.  Any license provided herein, whether implied or
# otherwise, applies only to this software file.  Patent licenses, if
# any, provided herein do not apply to combinations of this program with
# other software, or any other product whatsoever.
# 
# You should have received a copy of the GNU General Public License along
# with this program; if not, write the Free Software Foundation, Inc., 59
# Temple Place - Suite 330, Boston MA 02111-1307, USA.
# 
# Contact information: Silicon Graphics, Inc., 1600 Amphitheatre Pkwy,
# Mountain View, CA  94043, or:
# 
# http://www.sgi.com 
# 
# For further information regarding this notice, see: 
# 
# http://oss.sgi.com/projects/GenInfo/SGIGPLNoticeExplan/
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

LINGUAS = de fr nl pl
LSRCFILES = $(LINGUAS:%=%.po) $(PKG_NAME).pot

XGETTEXTFILES =	$(TOPDIR)/attr/attr.c \
		$(TOPDIR)/getfattr/getfattr.c \
		$(TOPDIR)/setfattr/setfattr.c \
		$(TOPDIR)/libattr/attr_copy_fd.c \
		$(TOPDIR)/libattr/attr_copy_file.c

default: $(LINGUAS:%=%.mo)

include $(BUILDRULES)

install: default
	$(INSTALL_LINGUAS)

install-dev install-lib:

=== debian/changelog ===
ia32-libs (1.4ubuntu20) dapper-security; urgency=low

  * Update libtiff4.
  * SECURITY UPDATE: Arbitrary command execution with crafted long file names.
  * Add debian/patches/tiffsplit-fname-overflow.patch:
    - tools/tiffsplit.c: Use snprintf instead of strcpy for copying the
      user-specified file name into a statically sized buffer.
    - CVE-2006-2656

  * Update libfreetype6.
  * SECURITY UPDATE: Arbitrary code execution and DoS with crafted font files.
  * Add debian/patches/403-pcf-strlen.patch:
    - src/pcf/pcfread.c: Detect invalid string lengths.
    - CVE-2006-3467

 -- Matthias Klose <doko@ubuntu.com>  Mon, 31 Jul 2006 14:39:59 +0000

=== debian/control ===
Source: ia32-libs
Section: libs
Priority: optional
Maintainer: Bdale Garbee <bdale@gag.com>
Build-Depends: debhelper (>> 3.0.0), dpkg-dev (>= 1.10.23), lsb-release, libc6-dev-i386 [amd64]
Standards-Version: 3.6.1.0

Package: ia32-libs
Architecture: amd64 ia64
Depends: lsb-release, lib32stdc++6, lib32gcc1, lib32z1, ${dep:ia32libs}
Replaces: ia32-libs-openoffice.org (<< 5), ia32-libs-kde (<< 3), ia32-libs-gtk (<< 9)
Conflicts: openoffice.org2-core (<< 2.0.1oob680m5)
Description: ia32 shared libraries for use on amd64 and ia64 systems
 This package contains runtime libraries for the ia32/i386
 architecture, configured for use on an amd64 or ia64 Debian system running
 a 64-bit kernel.

Package: ia32-libs-dev
Architecture: ia64
Section: libdevel
Depends: ia32-libs (= ${Source-Version}), ${dep:ia32devs}
Description: ia32 development libraries and headers for use on ia32/ia64 systems
 This package contains headers and development libraries for building
 32-bit ia32 applications on amd64/ia64 Debian systems.

Package: lib32gcc1
Architecture: ia64
Depends: gcc-4.0-base, ia32-libs (>= ${Source-Version})
Description: GCC support library (ia32)
 Shared version of the support library, a library of internal subroutines
 that GCC uses to overcome shortcomings of particular machines, or
 special needs for some languages.

Package: lib32stdc++6
Architecture: ia64
Depends: gcc-4.0-base, ia32-libs (>= ${Source-Version})
Description: The GNU Standard C++ Library v3 (ia32)
 This package contains an additional runtime library for C++ programs
 built with the GNU compiler.

Package: lib32z1
Architecture: ia64
Depends: ia32-libs (>= ${Source-Version})
Replaces: ia32-libs (<= 1.4)
Description: compression library - 32 bit runtime
 zlib is a library implementing the deflate compression method found
 in gzip and PKZIP.  This package includes a 32 bit version of the
 shared library.
